# Class ClientConfig

#### Hierarchy

- CoreClientConfigJS
  - ClientConfig

#####
Index

### Constructors

constructor

### Accessors

apiUrl
autoReconnectMedia
noiseSuppression
region
rtcStatsTelemetry
websocketPath
websocketUrl

## Constructors

### constructor

- new ClientConfig(region?): ClientConfig

- Constructs a new instance of the class.

  #### Parameters

  - ##### region: ConfigRegion = vonage.DEFAULT_REGION

    The region where the API and WebSocket URLs should be configured. Valid values are "EU" (Europe), "US" (United States), or "AP" (Asia Pacific). The URLs will be automatically set based on the selected region. Defaults to "US" if no region is specified.

  #### Returns ClientConfig

  Overrides vonage.CoreClientConfigJS.constructor

## Accessors

### apiUrl

- get apiUrl(): string

- #### Returns string

  Inherited from vonage.CoreClientConfigJS.apiUrl

- set apiUrl(value): void

- #### Parameters

  - ##### value: string

  #### Returns void

  Inherited from vonage.CoreClientConfigJS.apiUrl

### autoReconnectMedia

- get autoReconnectMedia(): boolean

- #### Returns boolean

  Inherited from vonage.CoreClientConfigJS.autoReconnectMedia

- set autoReconnectMedia(value): void

- #### Parameters

  - ##### value: boolean

  #### Returns void

  Inherited from vonage.CoreClientConfigJS.autoReconnectMedia

### noiseSuppression

- get noiseSuppression(): boolean

- #### Returns boolean

  Inherited from vonage.CoreClientConfigJS.noiseSuppression

### region

- get region(): CoreClientConfigRegionJS

- #### Returns CoreClientConfigRegionJS

  Inherited from vonage.CoreClientConfigJS.region

### rtcStatsTelemetry

- get rtcStatsTelemetry(): boolean

- #### Returns boolean

  Inherited from vonage.CoreClientConfigJS.rtcStatsTelemetry

- set rtcStatsTelemetry(value): void

- #### Parameters

  - ##### value: boolean

  #### Returns void

  Inherited from vonage.CoreClientConfigJS.rtcStatsTelemetry

### websocketPath

- get websocketPath(): string

- #### Returns string

  Inherited from vonage.CoreClientConfigJS.websocketPath

- set websocketPath(value): void

- #### Parameters

  - ##### value: string

  #### Returns void

  Inherited from vonage.CoreClientConfigJS.websocketPath

### websocketUrl

- get websocketUrl(): string

- #### Returns string

  Inherited from vonage.CoreClientConfigJS.websocketUrl

- set websocketUrl(value): void

- #### Parameters

  - ##### value: string

  #### Returns void

  Inherited from vonage.CoreClientConfigJS.websocketUrl